precision lowp float;

varying highp vec2 textureCoordinate;

uniform sampler2D texture1;
uniform sampler2D texture2;
uniform float alpha;

void main()
{
    lowp vec4 c1 = texture2D(texture1, textureCoordinate);
    lowp vec4 c2 = texture2D(texture2, textureCoordinate);
    gl_FragColor = mix(c1, c2, alpha);
}

