precision highp float;

uniform sampler2D inputImageTexture;
varying highp vec2 textureCoordinate;

varying highp vec2 v_texCoordMinus1;
varying highp vec2 v_texCoordPlus1;
varying highp vec2 v_texCoordMinus2;
varying highp vec2 v_texCoordPlus2;
varying highp vec2 v_texCoordMinus3;
varying highp vec2 v_texCoordPlus3;

void main(void) {
    highp vec4 resultColor = texture2D(inputImageTexture, textureCoordinate);
    resultColor += texture2D(inputImageTexture, v_texCoordPlus1);
    resultColor += texture2D(inputImageTexture, v_texCoordMinus1);
    resultColor += texture2D(inputImageTexture, v_texCoordPlus2);
    resultColor += texture2D(inputImageTexture, v_texCoordMinus2);
    resultColor += texture2D(inputImageTexture, v_texCoordPlus3);
    resultColor += texture2D(inputImageTexture, v_texCoordMinus3);
    gl_FragColor = resultColor / 7.0;
}
