 precision lowp float;
 
 varying highp vec2 textureCoordinate;
 
 uniform sampler2D inputImageTexture;
 uniform vec3 filterColor;
 
 const highp vec3 W = vec3(0.2125, 0.7154, 0.0721);
 
 void main()
 {
	 lowp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
	 //float luminance = dot(textureColor.rgb, W);

     gl_FragColor = vec4(
                         (1.0 - ((1.0 - textureColor.r) * (1.0 - filterColor.r))),
                         (1.0 - ((1.0 - textureColor.g) * (1.0 - filterColor.g))),
                         (1.0 - ((1.0 - textureColor.b) * (1.0 - filterColor.b))),
                         textureColor.a);
 }
