precision highp float;

uniform sampler2D inputImageTexture;
varying highp vec2 textureCoordinate;

varying highp vec2 v_texCoordMinus1;
varying highp vec2 v_texCoordPlus1;

void main(void) {
    highp vec4 resultColor = texture2D(inputImageTexture, textureCoordinate);
    resultColor += texture2D(inputImageTexture, v_texCoordPlus1);
    resultColor += texture2D(inputImageTexture, v_texCoordMinus1);
    gl_FragColor = resultColor / 3.0;
}
